﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 직원
    /// </summary>
    public class Employee
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 성명 - Name

        /// <summary>
        /// 성명
        /// </summary>
        public string Name { get; set; }

        #endregion
        #region 고용 여부 - Hired

        /// <summary>
        /// 고용 여부
        /// </summary>
        public bool Hired { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<Employee> GetList()
        {
            List<Employee> list = new List<Employee>();

            list.Add(new Employee() { Name = "김철수", Hired = true  });
            list.Add(new Employee() { Name = "홍길동", Hired = true  });
            list.Add(new Employee() { Name = "김미영", Hired = false });
            list.Add(new Employee() { Name = "김혜수", Hired = true  });
            list.Add(new Employee() { Name = "이철희", Hired = false });

            return list;
        }

        #endregion
    }
}